/****************************************************************************
** Form interface generated from reading ui file './kimg2mpgbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef KIMG2MPGBASE_H
#define KIMG2MPGBASE_H

#include <ntqvariant.h>
#include <ntqpixmap.h>
#include <ntqdialog.h>
#include <klineedit.h>
#include <kprocess.h>
#include <libkipi/interface.h>
#include <tdeio/previewjob.h>
#include <tdelistbox.h>

class TQVBoxLayout;
class TQHBoxLayout;
class TQGridLayout;
class TQSpacerItem;
namespace KIPIMPEGEncoderPlugin {
class ListImageItems;
}
class TQGroupBox;
class TQLabel;
class TQComboBox;
class TQSpinBox;
class KColorButton;
class TQPushButton;
class KLineEdit;
class KProgress;

namespace KIPIMPEGEncoderPlugin {
class KImg2mpgBase : public TQDialog
{
    TQ_OBJECT

public:
    KImg2mpgBase( TQWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~KImg2mpgBase();

    TQGroupBox* groupBox2;
    TQLabel* textLabel3;
    TQComboBox* m_VideoFormatComboBox;
    TQLabel* textLabel3_2;
    TQComboBox* m_VideoTypeComboBox;
    TQLabel* textLabel3_3;
    TQComboBox* m_ChromaComboBox;
    TQGroupBox* groupBox3;
    TQLabel* textLabel1_2;
    TQSpinBox* m_DurationImageSpinBox;
    TQLabel* textLabel2;
    TQLabel* textLabel1;
    TQComboBox* m_TransitionComboBox;
    TQLabel* textLabel1_3;
    KColorButton* m_BackgroundColorButton;
    TQGroupBox* m_ImagesFilesGroup;
    KIPIMPEGEncoderPlugin::ListImageItems* m_ImagesFilesListBox;
    TQLabel* m_label6;
    TQPushButton* m_ImagesFilesButtonAdd;
    TQPushButton* m_ImagesFilesButtonDelete;
    TQPushButton* m_ImagesFilesButtonUp;
    TQPushButton* m_ImagesFilesButtonDown;
    TQLabel* m_ImageLabel;
    TQLabel* m_label7;
    TQGroupBox* m_MPEGOutputFilename;
    KLineEdit* m_MPEGOutputEDITFilename;
    TQPushButton* m_MPEGOutputBUTTONFilename;
    TQGroupBox* m_AudioInputFilename;
    KLineEdit* m_AudioInputEDITFilename;
    TQPushButton* m_AudioInputBUTTONFilename;
    TQLabel* m_frame;
    KProgress* m_progress;
    TQPushButton* m_Encodebutton;
    TQPushButton* m_optionsbutton;
    TQPushButton* m_helpButton;
    TQPushButton* m_quitbutton;

    void show();
    void ShowNumberImages( int Number );
    void closeEvent( TQCloseEvent * );
    TQPixmap LoadIcon( TQString Name, int Group );
    void addItems( const KURL::List & fileList );
    void writeSettings();
    void readSettings();

public slots:
    void reset();
    void readStderr( TDEProcess * proc, char * buffer, int buflen );
    void EncodeDone( TDEProcess * );
    void slotMPEGFilenameDialog( void );
    void slotAudioFilenameDialog( void );
    void slotImagesFilesButtonUp( void );
    void slotImagesFilesButtonAdd( void );
    void slotImagesFilesButtonDown();
    void slotImagesFilesButtonDelete( void );
    void slotEncode( void );
    void slotOptions( void );
    void slotClose( void );
    void slotHelp( void );
    void slotImagesFilesSelected( TQListBoxItem * item );
    void SlotPortfolioDurationChanged( int );
    void slotOptionDlgOkClicked( void );
    void slotGotPreview( const KFileItem *, const TQPixmap & pixmap );
    void slotFailedPreview( const KFileItem * );
    void slotAddDropItems( KURL::List filesUrl );
    virtual void m_AudioInputFilename_toggled( bool );

protected:
    void RemoveTmpFiles( void );
    bool DeleteDir( TQString dirname );
    bool deldir( TQString dirname );

    TQVBoxLayout* Kimg2mpgBaseLayout;
    TQHBoxLayout* layout26;
    TQVBoxLayout* groupBox2Layout;
    TQSpacerItem* spacer10_2;
    TQSpacerItem* spacer10;
    TQHBoxLayout* layout16;
    TQVBoxLayout* layout29;
    TQVBoxLayout* layout30;
    TQVBoxLayout* layout31;
    TQVBoxLayout* groupBox3Layout;
    TQSpacerItem* spacer17_2;
    TQSpacerItem* spacer17_2_2;
    TQHBoxLayout* layout25;
    TQVBoxLayout* layout33;
    TQHBoxLayout* layout32;
    TQVBoxLayout* layout44;
    TQVBoxLayout* layout45;
    TQHBoxLayout* m_ImagesFilesGroupLayout;
    TQSpacerItem* spacer19_2;
    TQSpacerItem* spacer17;
    TQVBoxLayout* layout15;
    TQVBoxLayout* m_ImagesFilesButtonBox;
    TQVBoxLayout* layout14;
    TQHBoxLayout* layout28;
    TQSpacerItem* spacer11;
    TQVBoxLayout* layout27;
    TQHBoxLayout* m_MPEGOutputFilenameLayout;
    TQSpacerItem* spacer6_3_2;
    TQSpacerItem* spacer6_2;
    TQHBoxLayout* m_AudioInputFilenameLayout;
    TQSpacerItem* spacer6_3;
    TQSpacerItem* spacer6;
    TQVBoxLayout* layout21;
    TQSpacerItem* spacer14;
    TQSpacerItem* spacer13;

protected slots:
    virtual void languageChange();

private:
    TQPixmap image0;
    TQPixmap image1;

};
}

#endif // KIMG2MPGBASE_H
